<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MessageLocation Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_message_location-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MessageLocation Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Stores the location of a message in a buffer using a start position and a size.  
 <a href="class_message_location.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab475376e722f5cec7c439456cbec7d71"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_message_location.html#ab475376e722f5cec7c439456cbec7d71">MessageLocation</a> (int start=-1, int size=0, int incompletePos=-1, int incompleteSize=0)</td></tr>
<tr class="memdesc:ab475376e722f5cec7c439456cbec7d71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor, initializes by default to an invalid message.  <a href="#ab475376e722f5cec7c439456cbec7d71">More...</a><br /></td></tr>
<tr class="separator:ab475376e722f5cec7c439456cbec7d71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cf6a4aa66a5ec0f94ca28c2d503fb31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cf6a4aa66a5ec0f94ca28c2d503fb31"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_message_location.html#a1cf6a4aa66a5ec0f94ca28c2d503fb31">isValid</a> () const </td></tr>
<tr class="memdesc:a1cf6a4aa66a5ec0f94ca28c2d503fb31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the stored message information describes a valid message. <br /></td></tr>
<tr class="separator:a1cf6a4aa66a5ec0f94ca28c2d503fb31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac3f7f1903c5e535c93a7a0b7507517e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3f7f1903c5e535c93a7a0b7507517e5"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_message_location.html#ac3f7f1903c5e535c93a7a0b7507517e5">m_startPos</a></td></tr>
<tr class="memdesc:ac3f7f1903c5e535c93a7a0b7507517e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset of the first byte of the message or -1 if no message. <br /></td></tr>
<tr class="separator:ac3f7f1903c5e535c93a7a0b7507517e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae38ba924a6b85139688dfb2984081ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae38ba924a6b85139688dfb2984081ef"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_message_location.html#aae38ba924a6b85139688dfb2984081ef">m_size</a></td></tr>
<tr class="memdesc:aae38ba924a6b85139688dfb2984081ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the message, when less than 0 it indicates the expected message size. <br /></td></tr>
<tr class="separator:aae38ba924a6b85139688dfb2984081ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a5ab0194df70ed3d588af64b09deac9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_message_location.html#a8a5ab0194df70ed3d588af64b09deac9">m_incompletePos</a></td></tr>
<tr class="separator:a8a5ab0194df70ed3d588af64b09deac9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb198a4b651045c14ec05fef72e26812"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_message_location.html#abb198a4b651045c14ec05fef72e26812">m_incompleteSize</a></td></tr>
<tr class="separator:abb198a4b651045c14ec05fef72e26812"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Stores the location of a message in a buffer using a start position and a size. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab475376e722f5cec7c439456cbec7d71"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MessageLocation::MessageLocation </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>start</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>incompletePos</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>incompleteSize</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor, initializes by default to an invalid message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">start</td><td>The offset of the first byte of the message </td></tr>
    <tr><td class="paramname">size</td><td>The size of the message </td></tr>
    <tr><td class="paramname">incompletePos</td><td>The offset of the first byte of an incomplete but potentially eventually valid message </td></tr>
    <tr><td class="paramname">incompleteSize</td><td>The expected size of the message at <em>incompletePos</em>, if that is not -1 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_message_location.html#a1cf6a4aa66a5ec0f94ca28c2d503fb31" title="Returns whether the stored message information describes a valid message. ">isValid()</a> </dd>
<dd>
<a class="el" href="class_message_location.html#ac3f7f1903c5e535c93a7a0b7507517e5" title="The offset of the first byte of the message or -1 if no message. ">m_startPos</a> </dd>
<dd>
<a class="el" href="class_message_location.html#aae38ba924a6b85139688dfb2984081ef" title="The size of the message, when less than 0 it indicates the expected message size. ...">m_size</a> </dd>
<dd>
<a class="el" href="class_i_protocol_handler.html#a0827afe56a7072bbf519101d1fa9d3f6" title="Find the first message in the raw byte stream. ">IProtocolHandler::findMessage</a> </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a8a5ab0194df70ed3d588af64b09deac9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MessageLocation::m_incompletePos</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The offset of the first incomplete potentially eventually valid message that has been skipped to reach the first valid and complete message at m_startPos. If no valid complete message has been found (m_startPos == -1), m_incompletePos still contains the offset of the first incomplete message. invariant: m_incompletePos == -1 || m_startPos == -1 || m_incompletePos &lt; m_startPos </p>

</div>
</div>
<a class="anchor" id="abb198a4b651045c14ec05fef72e26812"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MessageLocation::m_incompleteSize</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The expected size of the first incomplete potentially eventually valid message that has been skipped to reach the first valid and complete message at m_startPos. If a valid complete message has been found at a non-0 start position and m_incompletePos is not -1, m_incompleteSize will contain the expected size of the incomplete message. </p>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
